Skip to navigation

Fetch document process history by document

View as Markdown

To repeat this action, use the GET method on the controller for DocumentProcessTrackingHistoryTasks and pass the reference ID returned here as the parameter.

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Query parameters

pageSortParams.offsetintegerOptional
The number of objects at the beginning of the collection to skip
pageSortParams.limitintegerOptional
The number of objects per page
pageSortParams.sortPropertystringOptional
The property of the collection object on which to sort
pageSortParams.sortDirectionenumOptional
ASC for ascending. DESC for descending
Allowed values:
pageSortParams.filterstringOptional
The property of the collection object on which to filter
pageSortParams.filterExactbooleanOptional
If true, filtering will perform an exact match instead of the default contains match
pageSortParams.caseInsensitivebooleanOptional
If FilterExact is true and this is true, filtering will perform an exact match but will ignore case

Request

Task object definition containing the desired document.
ProcessUidstringOptionalformat: "uuid"
ID for process of process history
IncludeCurrentbooleanOptional
Whether to include current document processing events
StatusstringOptional
Current status of the asynchronous task
HrefstringOptional
Uri where the object can be retrieved.
DocumentobjectOptional
Document for which to retrieve process history
ResultobjectOptional
Descriptions of activities of applicable documents

Response

OK
StatusstringOptional
Current status of the asynchronous task
HrefstringOptional
Uri where the object can be retrieved.
ResultobjectOptional
Descriptions of activities of applicable documents